libzypp: zyppng::NetworkRequestErrorPrivate Class Reference

libzypp 17.36.6

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
zyppng::NetworkRequestErrorPrivate Class Reference

`#include <zypp-curl/ng/network/private/networkrequesterror_p.h>`

## Public Member Functions
| NetworkRequestErrorPrivate (NetworkRequestError::Type code, std::string &&msg, std::map< std::string, boost::any > &&extraInfo)
NetworkRequestErrorPrivate * | clone () const

## Static Public Member Functions
static zyppng::NetworkRequestError | customError (NetworkRequestError::Type t, std::string &&errorMsg="", std::map< std::string, boost::any > &&extraInfo={})
static zyppng::NetworkRequestError | fromCurlError (NetworkRequest &req, int nativeCode, const std::string &nativeError)
static zyppng::NetworkRequestError | fromCurlMError (int nativeCode)
static std::string | typeToString (NetworkRequestError::Type t)

## Public Attributes
NetworkRequestError::Type | _errorCode = NetworkRequestError::InternalError
std::string | _errorMessage
std::map< std::string, boost::any > | _extraInfo

## Detailed Description

Definition at line 22 of file networkrequesterror_p.h.

## Constructor & Destructor Documentation

## ◆ NetworkRequestErrorPrivate()

zyppng::NetworkRequestErrorPrivate::NetworkRequestErrorPrivate | ( | NetworkRequestError::Type | code,
|  | std::string && | msg,
|  | std::map< std::string, boost::any > && | extraInfo )

Definition at line 23 of file networkrequesterror.cc.

## Member Function Documentation

## ◆ clone()

NetworkRequestErrorPrivate * zyppng::NetworkRequestErrorPrivate::clone | ( |  | ) | const

Definition at line 29 of file networkrequesterror.cc.

## ◆ customError()

NetworkRequestError zyppng::NetworkRequestErrorPrivate::customError | ( | NetworkRequestError::Type | t,
|  | std::string && | errorMsg = "",
|  | std::map< std::string, boost::any > && | extraInfo = {} )
| static

Definition at line 34 of file networkrequesterror.cc.

## ◆ fromCurlError()

NetworkRequestError zyppng::NetworkRequestErrorPrivate::fromCurlError | ( | NetworkRequest & | req,
|  | int | nativeCode,
|  | const std::string & | nativeError )
| static

Definition at line 39 of file networkrequesterror.cc.

## ◆ fromCurlMError()

NetworkRequestError zyppng::NetworkRequestErrorPrivate::fromCurlMError | ( | int | nativeCode | ) |
| static

Definition at line 206 of file networkrequesterror.cc.

## ◆ typeToString()

std::string zyppng::NetworkRequestErrorPrivate::typeToString | ( | NetworkRequestError::Type | t | ) |
| static

Definition at line 250 of file networkrequesterror.cc.

## Member Data Documentation

## ◆ _errorCode

NetworkRequestError::Type zyppng::NetworkRequestErrorPrivate::_errorCode = NetworkRequestError::InternalError

Definition at line 29 of file networkrequesterror_p.h.

## ◆ _errorMessage

std::string zyppng::NetworkRequestErrorPrivate::_errorMessage

Definition at line 30 of file networkrequesterror_p.h.

## ◆ _extraInfo

std::map<std::string, boost::any> zyppng::NetworkRequestErrorPrivate::_extraInfo

Definition at line 31 of file networkrequesterror_p.h.

The documentation for this class was generated from the following files:

- zypp-curl/ng/network/private/networkrequesterror_p.h
- zypp-curl/ng/network/networkrequesterror.cc